#ifndef __H_BOX__
#define __H_BOX__
#include "defs.h"
#include "baseobject.h"

/** @file
 * An SBox is a boxed type.
 */

BEGIN_DECLS

/** @brief
 * A reference counted box sitting on top of an SObject
 */
typedef struct _SBox SBox;

typedef struct _SBoxClass SBoxClass;

typedef struct _SBoxPrivate SBoxPrivate;

struct _SBox {
  SObject parent;
  SBoxPrivate * priv;
}

struct _SBoxClass {
  SObjectClass parent_class;
}



END_DECLS

#endif
